Commit 6717bdd6 authored by Holger Levsen's avatar Holger Levsen

fix sorting in CVE overview if a CVE fixes more than one package. (Closes: #764091)

git-svn-id: svn+ssh://svn.debian.org/svn/secure-testing@29291 e39458fd-73e7-0310-bf30-c45bca0a0e42
parent af2e83b2
......@@ -1672,7 +1672,7 @@ class DB:
WHERE s.bug_name = ? AND p.rowid = s.package
AND release in ('squeeze', 'wheezy', 'jessie', 'sid'))
GROUP BY package, version, vulnerable
ORDER BY releasepart_to_number(release), subreleasepart_to_number(release), package, version COLLATE version""",
ORDER BY package, releasepart_to_number(release), subreleasepart_to_number(release), version COLLATE version""",
(bug,)):
yield package, releases.split(', '), version, vulnerable
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment